Loading...
Searching...
No Matches
cl::compatibility::make_kernel< Ts > Struct Template Reference

`#include <opencl.hpp>`

## Public Types

typedef KernelFunctor< Ts... > | FunctorType
typedef Event | result_type
| Return type of the functor.
typedef Event | type_(const EnqueueArgs &, Ts...)
| Function signature of kernel functor with no event dependency.

## Public Member Functions

| make_kernel (const Program &program, const string name, cl_int *err=nullptr)
| make_kernel (const Kernel kernel)
Event | operator() (const EnqueueArgs &enqueueArgs, Ts... args)

## Public Attributes

FunctorType | functor_

## Detailed Description

template<typename... Ts>
struct cl::compatibility::make_kernel< Ts >

Backward compatibility class to ensure that cl.hpp code works with opencl.hpp. Please use KernelFunctor directly.

Definition at line 11202 of file opencl.hpp.

## Member Typedef Documentation

## FunctorType

template<typename... Ts>

typedef KernelFunctor<Ts...> cl::compatibility::make_kernel< Ts >::FunctorType

Definition at line 11204 of file opencl.hpp.

## result_type

template<typename... Ts>

typedef Event cl::compatibility::make_kernel< Ts >::result_type

Return type of the functor.

Definition at line 11221 of file opencl.hpp.

## type_

template<typename... Ts>

typedef Event cl::compatibility::make_kernel< Ts >::type_(const EnqueueArgs &, Ts...)

Function signature of kernel functor with no event dependency.

Definition at line 11224 of file opencl.hpp.

## Constructor & Destructor Documentation

## make_kernel() [1/2]

template<typename... Ts>

cl::compatibility::make_kernel< Ts >::make_kernel | ( | const Program & | program,
|  | const string | name,
|  | cl_int * | err = nullptr )

inline

Definition at line 11208 of file opencl.hpp.

## make_kernel() [2/2]

template<typename... Ts>

cl::compatibility::make_kernel< Ts >::make_kernel | ( | const Kernel | kernel | ) |

inline

Definition at line 11215 of file opencl.hpp.

## Member Function Documentation

## operator()()

template<typename... Ts>

Event cl::compatibility::make_kernel< Ts >::operator() | ( | const EnqueueArgs & | enqueueArgs,
|  | Ts... | args )

inline

Definition at line 11228 of file opencl.hpp.

## Member Data Documentation

## functor_

template<typename... Ts>

FunctorType cl::compatibility::make_kernel< Ts >::functor_

Definition at line 11206 of file opencl.hpp.

The documentation for this struct was generated from the following file:

- opencl.hpp